### Method

# Fwupd BiosSetting get_filename

since: 2.0.20

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_get_filename (
      FwupdBiosSetting* self
    )

#### Description [src]

Gets the filename within `path` where values are read/written.

Available since: 2.0.20

#### Return value

Type: `const gchar*`

The value filename or NULL if not set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.